Loading...
Searching...
No Matches
casacore::TaQLRegexNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining a constant regex value. More...

`#include <TaQLNodeDer.h>`

## Public Member Functions

| TaQLRegexNodeRep (const String &value)
| TaQLRegexNodeRep (const String &value, Bool caseInsensitive, Bool negate, Bool ignoreBlanks, Int maxDistance)
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

String | itsValue
Bool | itsCaseInsensitive
Bool | itsNegate
Bool | itsIgnoreBlanks
Int | itsMaxDistance

## Detailed Description

Raw TaQL parse tree node defining a constant regex value.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding a constant regex/pattern value. Part of the regex are the delimiters (like p//). It also holds if the regex is case-insensitive and if a match or no match operator is given.

Definition at line 116 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLRegexNodeRep() [1/2]

casacore::TaQLRegexNodeRep::TaQLRegexNodeRep | ( | const String & | value | ) |

explicit

References casacore::NewDelAllocator< T >::value.

## TaQLRegexNodeRep() [2/2]

casacore::TaQLRegexNodeRep::TaQLRegexNodeRep | ( | const String & | value,
|  | Bool | caseInsensitive,
|  | Bool | negate,
|  | Bool | ignoreBlanks,
|  | Int | maxDistance )

References casacore::NewDelAllocator< T >::value.

## Member Function Documentation

## restore()

TaQLNode casacore::TaQLRegexNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLRegexNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## show()

virtual void casacore::TaQLRegexNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLRegexNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsCaseInsensitive

Bool casacore::TaQLRegexNodeRep::itsCaseInsensitive

Definition at line 128 of file TaQLNodeDer.h.

## itsIgnoreBlanks

Bool casacore::TaQLRegexNodeRep::itsIgnoreBlanks

Definition at line 131 of file TaQLNodeDer.h.

## itsMaxDistance

Int casacore::TaQLRegexNodeRep::itsMaxDistance

Definition at line 132 of file TaQLNodeDer.h.

## itsNegate

Bool casacore::TaQLRegexNodeRep::itsNegate

Definition at line 129 of file TaQLNodeDer.h.

## itsValue

String casacore::TaQLRegexNodeRep::itsValue

Definition at line 127 of file TaQLNodeDer.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h